Skip to main content
GET
/
v1
/
earn
/
portfolio
/
{userAddress}
/
positions
Get portfolio positions for a user
curl --request GET \
  --url https://earn.li.fi/v1/earn/portfolio/{userAddress}/positions
{
  "positions": [
    {
      "chainId": 1,
      "protocolName": "aave-v3",
      "asset": {
        "address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
        "name": "USD Coin",
        "symbol": "USDC",
        "decimals": 6
      },
      "balanceUsd": "1523.45",
      "balanceNative": "1523450000"
    },
    {
      "chainId": 8453,
      "protocolName": "morpho",
      "asset": {
        "address": "0x7BfA7C4f149E7415b73bdeDfe609237e29CBF34A",
        "name": "Morpho USDC Vault",
        "symbol": "mUSDC",
        "decimals": 18
      },
      "balanceUsd": "5000.00",
      "balanceNative": "4901960784313725490196"
    }
  ]
}

Path Parameters

userAddress
string
required

User's wallet address (0x-prefixed, 40 hex characters).

Pattern: ^0x[a-fA-F0-9]{40}$

Response

User portfolio positions

positions
object[]
required

List of active positions held by the user across all supported protocols.